"""Preparation SyncNode"""

from ...common.sync_node import SyncNode
from schemas.project_extensions.preparation import PreparationDetail
from pydantic import Field
from typing import Optional

class PreparationSyncNode(SyncNode[PreparationDetail]):
    """里程碑同步节点"""
    node_type = "preparation"
    schema = PreparationDetail
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
